> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get native assets controlled by addresses associated with a specific Cardano stake account.

# Stake account assets



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /accounts/{stake_addr}/assets
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /accounts/{stake_addr}/assets:
    get:
      tags:
        - Accounts
      summary: Stake account assets
      description: >-
        Returns a list of native assets which are owned by addresses with the
        specified stake key
      operationId: account_assets
      parameters:
        - name: stake_addr
          in: path
          description: Bech32 encoded reward/stake address ('stake1...')
          required: true
          schema:
            type: string
        - name: policy
          in: query
          description: Filter results to only show assets of the specified policy
          required: false
          schema:
            type: string
            nullable: true
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
        - name: amounts-as-strings
          in: header
          description: Large numbers returned as strings if set to `true`
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: >-
            A list of assets which are owned by addresses that use the specified
            stake key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAsset'
              example:
                data:
                  - unit: >-
                      01a67bf1c1b29912b17d53a31fa4b650da2dd136ff24ecc84f452ff047616d654368616e6765724e4654202331
                    amount: 5
                  - unit: >-
                      01a67bf1c1b29912b17d53a31fa4b650da2dd136ff24ecc84f452ff047616d654368616e6765724e4654202332
                    amount: 6
                  - unit: >-
                      01a67bf1c1b29912b17d53a31fa4b650da2dd136ff24ecc84f452ff047616d654368616e6765724e4654202333
                    amount: 7
                  - unit: >-
                      2f7e0f588efe4e2836c829c50619a498ddf5521255bf5e1e9f9f5a1346616b65555344
                    amount: 864
                  - unit: >-
                      833a41706977b6c54edba264a7ea9dc4390728a05c69cb53d8081df147616d654368616e676572546f6b656ef09f9a80
                    amount: 2
                  - unit: >-
                      cc5827d01be77807a48d7e3b70a7c32667722bce7957a61ca52f4e0d47616d654368616e676572546f6b656ef09f9a80
                    amount: 70
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    27b0866a073a5068bd6a24a009beba68f8951c6bf2ae4c72a734c8566ecabfc2
                  block_slot: 32208940
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedAsset:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    Asset:
      type: object
      description: Lovelace or native asset
      required:
        - unit
        - amount
      properties:
        amount:
          $ref: '#/components/schemas/NumOrString'
        unit:
          type: string
          description: >-
            Asset (either `lovelace` or concatenation of hex encoded policy ID
            and asset name for native asset)
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
    NumOrString:
      oneOf:
        - type: integer
          format: int64
          description: Unsigned 64-bit integer
          minimum: 0
        - type: integer
          description: Unsigned 128-bit integer
          minimum: 0
        - type: integer
          format: int64
          description: Signed 64-bit integer
        - type: number
          format: double
          description: 64-bit floating point number
        - type: string
          description: String representation of an integer or number
      description: >-
        Integer or number by default, or a string representation if the
        `amounts-as-strings` header is set to `true`
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````